#### Previous topic

scipy.interpolate.RectSphereBivariateSpline

#### Next topic

scipy.interpolate.RectSphereBivariateSpline.ev

# scipy.interpolate.RectSphereBivariateSpline.__call__

`RectSphereBivariateSpline.``__call__`(theta, phi, dtheta=0, dphi=0, grid=True)

  Evaluate the spline or its derivatives at given positions.

  Parameters:

  theta, phi : array_like

  > Input coordinates.

  > If grid is False, evaluate the spline at points `(theta[i], phi[i]), i=0, ..., len(x)-1`. Standard Numpy broadcasting is obeyed.

  > If grid is True: evaluate spline at the grid points defined by the coordinate arrays theta, phi. The arrays must be sorted to increasing order.

  dtheta : int, optional

  > Order of theta-derivative

  > New in version 0.14.0.

  dphi : int

  > Order of phi-derivative

  > New in version 0.14.0.

  grid : bool

  > Whether to evaluate the results on a grid spanned by the input arrays, or at points specified by the input arrays.

  > New in version 0.14.0.